## ECategoriesSelector

ECategoriesSelector

## Functions

GtkWidget * | e_categories_selector_new ()
gchar * | e_categories_selector_get_checked ()
void | e_categories_selector_set_checked ()
gboolean | e_categories_selector_get_items_checkable ()
void | e_categories_selector_set_items_checkable ()
void | e_categories_selector_delete_selection ()
gchar * | e_categories_selector_get_selected ()
gboolean | e_categories_selector_get_use_inconsistent ()
void | e_categories_selector_set_use_inconsistent ()
void | e_categories_selector_get_changes ()
gchar * | e_categories_selector_util_apply_changes ()

## Properties

gboolean | items-checkable | Read / Write
gboolean | use-inconsistent | Read / Write

## Signals

void | category-checked | Run First
void | selection-changed | Run First

## Types and Values

struct | ECategoriesSelector

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── ECategoriesSelector

## Implemented Interfaces

ECategoriesSelector implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### e_categories_selector_new ()

    GtkWidget *
    e_categories_selector_new (void);

Since: 3.2

### e_categories_selector_get_checked ()

    gchar *
    e_categories_selector_get_checked (ECategoriesSelector *selector);

Free returned pointer with `g_free()`.

Since: 3.2

### e_categories_selector_set_checked ()

    void
    e_categories_selector_set_checked (ECategoriesSelector *selector,
                                       const gchar *categories);

Since: 3.2

### e_categories_selector_get_items_checkable ()

    gboolean
    e_categories_selector_get_items_checkable
                                   (ECategoriesSelector *selector);

Since: 3.2

### e_categories_selector_set_items_checkable ()

    void
    e_categories_selector_set_items_checkable
                                   (ECategoriesSelector *selectr,
                                    gboolean checkable);

Since: 3.2

### e_categories_selector_delete_selection ()

    void
    e_categories_selector_delete_selection
                                   (ECategoriesSelector *selector);

Since: 3.2

### e_categories_selector_get_selected ()

    gchar *
    e_categories_selector_get_selected (ECategoriesSelector *selector);

Free returned pointer with `g_free()`.

Since: 3.2

### e_categories_selector_get_use_inconsistent ()

    gboolean
    e_categories_selector_get_use_inconsistent
                                   (ECategoriesSelector *selector);

### e_categories_selector_set_use_inconsistent ()

    void
    e_categories_selector_set_use_inconsistent
                                   (ECategoriesSelector *selector,
                                    gboolean use_inconsistent);

### e_categories_selector_get_changes ()

    void
    e_categories_selector_get_changes (ECategoriesSelector *selector,
                                       GHashTable **out_checked,
                                       GHashTable **out_unchecked);

### e_categories_selector_util_apply_changes ()

    gchar *
    e_categories_selector_util_apply_changes
                                   (const gchar *in_categories,
                                    GHashTable *checked,
                                    GHashTable *unchecked);

## Types and Values

### struct ECategoriesSelector

    struct ECategoriesSelector;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2

## Property Details

### The `“items-checkable”` property

      “items-checkable”          gboolean

Owner: ECategoriesSelector

Flags: Read / Write

Default value: TRUE

### The `“use-inconsistent”` property

      “use-inconsistent”         gboolean

Owner: ECategoriesSelector

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“category-checked”` signal

    void
    user_function (ECategoriesSelector *ecategoriesselector,
                   char                *arg1,
                   gboolean             arg2,
                   gpointer             user_data)

Flags: Run First

### The `“selection-changed”` signal

    void
    user_function (ECategoriesSelector *ecategoriesselector,
                   GtkTreeSelection    *arg1,
                   gpointer             user_data)

Flags: Run First